<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
 <head>
  <title> StrokeMobile API Patients </title>
  <meta name="Generator" content="EditPlus">
  <meta name="Author" content="">
  <meta name="Keywords" content="">
  <meta name="Description" content="">
    <script src="../jquery/jquery-1.11.1.js"></script>
  <script>
	$(function() { 
		$("#sendbutton").click(function() { 
			sendClick();
		});
	});
	function sendClick() {
		prompt("",$(test).serialize());
                console.log($(test).serialize());
		$.ajax({
			url : "../rest/manager/api/patients",
			data : $(test).serialize(),
                        
			type : "POST",
			dataType : "html",
			contentType : "application/x-www-form-urlencoded; charset=UTF-8",
			error : function(transport,status,errorThrown) { 
				alert("error : "+errorThrown);
			},
			success: function(data){ 
				alert("success "+$.trim(data));
			}
		});
	}
  </script>
 </head>

 <body>
 StrokeMobile API Patients Test
<FORM id="test" name="test"  METHOD ='POST' ACTION ='../rest/manager/api/patients?fsUser=tnpl' >
	<table >
		<tr>
		</tr>
		<tr class="rclass">
			<td class="inclass">
				Data : <textarea id="data" cols="100" rows="15" type="text" name="data" tagid="data"  value=""></textarea>
			</td>
		</tr>
		<tr class="rclass">
			<td class="lbclass">
				<input type="hidden" name="fsUser" tagid="fsUser" value="tnpl"></input>
				<input type="submit" name="submit" value="submit"/>
				<input type="button" id="sendbutton" value="Send(UTF8)"></input><BR>
			</td>
	</table>
</FORM>
 </body>
  <script>
 var data = '{\n"screen": "apiPatients",\n';
 data += '\n"strokeMobileId": "strokeMobile_TEST",\n';
 data += '\n"strokeId": 1,\n';
 data += '\n"hn": "53603086",\n';
 data += '\n"citizenId": "",\n';
 data += '\n"submitDate": "20181123 09:07:15"\n';
 data += '\n}';
  document.getElementById("data").value = data;

 </script>
</html>
